$(document).ready( function(){

	// Header Toggle Menu
	$('header a.mobile-menu-toggle').click(function (e) {
		e.preventDefault();
		$('body').toggleClass('mobile-menu-opened');
		$(this).toggleClass('opened');
		$('header .mobile-content').removeAttr('style');
		$('header .search-content').hide();
		$('header .sign-in-content').hide();
	});

	// Mobile Menu Item Targets
	$('.mobile-menu .menu-items .item a.target').click(function (e) {
		e.preventDefault();
		var menuTarget = $(this).attr('href');
		$('.mobile-menu .menu-item-target').hide();
		$(menuTarget).fadeIn(200);
	});

	// Mobile Menu Item Toggles
	$('.mobile-menu .menu-items .item a.toggle').click(function (e) {
		e.preventDefault();
		$(this).toggleClass('opened');
		$(this).prev().toggleClass('opened');
		$(this).next('.content').slideToggle(200);
	});

	// Header Toggle Search Desktop
	$('header .sub-content a.toggle-search').click(function (e) {
		e.preventDefault();
		$('header .search-content').removeAttr('style');
		$('header .search-content').addClass('opened');
		$('header .search-content .form-search input').focus();
	});
	// Header Toggle Search Mobile
	$('header .mobile-content a.toggle-search').click(function (e) {
		e.preventDefault();
		$('header .mobile-content').hide();
		$('header .search-content').removeAttr('style');
		$('header .search-content').addClass('opened');
		$('header .search-content .form-search input').focus();

	});
	$('header .search-content .search-close').click(function (e) {
		e.preventDefault();
		$('header .search-content').removeClass('opened');
		$('header .sub-content a.toggle-search').focus();
	});

	// Header Toggle Sign In
	$('header .header-content a.toggle-sign-in').click(function (e) {
		e.preventDefault();
		$('header .sign-in-content').fadeToggle(200);
	});


	// Accordions
	$('.accordions .accordion .details').hide();
	$('.accordions .accordion .toggle').addClass('closed');
	$('.accordions .accordion .toggle a').click(function (e) {
		e.preventDefault();
		$(this).parent().toggleClass('closed');
		$(this).parent().next('.details').slideToggle(200);
	});

	// Expand all content
	$('a.expand-all-toggle').click(function (e) {
		e.preventDefault();
		var parentLevel = $(this).parent().parent().parent().next('.expand-all-content');
		if ($(this).hasClass('opened')) {
			$(this).removeClass('opened');
			parentLevel.find('.accordion .toggle').addClass('closed');
			parentLevel.children('.accordion').children('.details').slideUp(200);
		} else {
			$(this).addClass('opened');
			parentLevel.find('.accordion .toggle').removeClass('closed');
			parentLevel.children('.accordion').children('.details').slideDown(200);
		}
	});


	// Alert Close
	$('.tray-alert a.close-alert').click(function (e) {
		e.preventDefault();
		$(this).closest('.tray-alert').slideToggle(300);
	});

	// Make Entire Element Clickable
	$('.clickable').click(function (e) {
		e.preventDefault();
		window.location = $(this).find('a').attr('href');
	});

	// Side Filters
	$('.side-filters .content').hide();
	$('.side-filters h5 a').addClass('closed');
	$('.side-filters h5 a').click(function (e) {
		e.preventDefault();
		$(this).toggleClass('closed');
		$(this).parent().next('.content').slideToggle(200);
	});

	// Page Scroll Detect
	pageScroll();

});

// Page Scroll Detect
function pageScroll() {
	var lastScrollTop = 0;
	$(window).scroll(function() {
		if ($(document).scrollTop() > 200) {
			var scrollTop = $(this).scrollTop();
			if (scrollTop > lastScrollTop) {
				$('#header').addClass('header-hide');
			} else {
				$('#header').removeClass('header-hide');
			}
			lastScrollTop = scrollTop;
		}
	});
}
//# sourceMappingURL=script.min.js.map
